clash-ghc-1.8.1: Clash: a functional hardware description language - GHC frontend

Copyright | (C) 2013-2016 University of Twente 2016-2023 Myrtle Software Ltd 2021-2023 QBayLogic B.V.
License | BSD2 (see the file LICENSE)
Maintainer | QBayLogic B.V. <devops@qbaylogic.com>
Safe Haskell | Safe-Inferred
Language | Haskell2010

Clash.GHC.NetlistTypes

Description

# Documentation

ghcTypeToHWType Source #

Arguments

:: Int | Integer width. The width Clash assumes an Integer to be (instead of it begin an arbitrarily large, runtime sized construct).
-> CustomReprs | Custom bit representations
-> TyConMap | Type constructor map
-> Type | Type to convert to HWType
-> State HWMap (Maybe (Either String FilteredHWType)) |